Skip to main content
`Ctrl`+`K`

# EPSGetEigenvector

Gets the `i`-th right eigenvector as computed by `EPSSolve()`.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetEigenvector(EPS eps,PetscInt i,Vec Vr,Vec Vi)

Collective

## Input Parameters

- eps - the linear eigensolver context

- i - index of the solution

## Output Parameters

- Vr - real part of eigenvector

- Vi - imaginary part of eigenvector

## Notes

The caller must provide valid `Vec` objects, i.e., they must be created by the calling program with e.g. `MatCreateVecs()`.

If the corresponding eigenvalue is real, then `Vi` is set to zero. If PETSc is configured with complex scalars the eigenvector is stored directly in `Vr` (`Vi` is set to zero). In any case, the user can pass `NULL` in `Vr` or `Vi` if one of them is not required.

The index `i` should be a value between 0 and `nconv`-1 (see `EPSGetConverged()`). Eigenpairs are indexed according to the ordering criterion established with `EPSSetWhichEigenpairs()`.

The 2-norm of the eigenvector is one unless the problem is generalized Hermitian. In this case the eigenvector is normalized with respect to the norm defined by the \(B\) matrix.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSolve()`, `EPSGetConverged()`, `EPSSetWhichEigenpairs()`, `EPSGetEigenpair()`, `EPSGetLeftEigenvector()`

## Level

beginner

## Location

src/eps/interface/epssolve.c

## Examples

src/eps/tutorials/ex47.c
src/eps/tutorials/ex7.c
src/eps/tutorials/ex55.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages